Subject: Re: /opt (NOT!)

From: Charles Ewen MacMillan <[email-masked]>

On Mon, 12 Sep 1994, Rob Healey wrote:

> Date: Mon, 12 Sep 1994 08:55:23 -0500 (CDT)
> From: Rob Healey <[email-masked]>
> To: Charles Ewen MacMillan <[email-masked]>
> Cc: [email-masked]
> Subject: Re: /opt (NOT!)
> 
> >  It also costs me something if I am required to change an existing 
> > installation, if the Amiga port diverges too far from m68k as an ideal, or
> > if it adds anything to the system that I am not going to use.
> > 
> 	Just a reminder, NetBSD is NOT nailed down yet. ANY part of it
> 	could change drastically with NO notice. If you or anybody
> 	else is assuming there is something rock solid about NetBSD then
> 	I suggest you prepare yourself for the inevitable rude awakening...
> 
 
 I am not, and never have made any such assumption. What I wish to see is 
however:

 1) parallelism with the other m68k ports where practical/possible

 2) relative compatibility with other current BSD models

 3) minimum disruption to the current installed base possible, while 
    still maintaining goals 1 and 2.

 4) minimum disruption to my users

> 	Actually, most of SVR4, as opposed to SVR4.2, was actually "ghost"
> 	written by Sun. They had a major impact on almost everything.
> 

 I stand corrected.

> 	By the way, see back issues of the Sun group to find out why the
> 	overhead argument of Solaris is an outdated falicy. 2.4 is faster
> 	the 4.1.3/1.1.1B and 2.3 is about on par once you get all the
> 	patches in place. Since you seem to state this as a fact I have
> 	reason to suspect your other conclusions... Alot of the falicy
> 	was due to ignorance of Solaris/SVR4 and thus improper porting and/or
> 	tuning decisions.

 I have no idea Rob, where it follows that since I am apparently in error 
on the SVR4 issue, my other conclusions would be suspect.

 My feelings regarding _Solaris_ are based on personal observation of 
machines running Solaris, not on any mythology.

 Patched or unpatched, a single processor SS2 is faster running 4.1.3_u1 
than any rev of Solaris that I have seen as of yet.

> 	Anyways, the main point of my message is the make clear the NetBSD
> 	is in no way, shape or form nailed down and stable. If you are
> 	expecting/assuming it to be so then you are in for a nasty
> 	surprise, probably in the near future.
> 

 If I expected as much, I would not be using a research operating system.

 I feel that I have made my objections to these two issues, /opt and 
/etc/rc.? clear.

 If anyone wishes to continue to pigeonhole my arguments as "religious" 
in character, or otherwise attempt to imply some manner of emotionalism 
at work here, then it is they, not I who need examine their motivations.

 Further, even if my viewpoint is conservative in relation to that of 
others on this list, it remains a valid viewpoint to express. Change should
be always balanced against the expected benefits of such change, and not 
introduced arbitrarily.

> 	NetBSD is not some sort of commercial venture, it's a public effort
> 	across multiple platforms. Problems can be introduced from many
> 	places at any time with no obvious reason for sudden malfunction. Be
> 	aware of this before commiting to NetBSD.

 I have been running it for over a year, so of this I am quite aware.

Charles Ewen MacMillan  | Tezcat.COM - Wicker Park 
  <[email-masked]>    | Offering Internet Access 
Modem: 312-850-0112/0117| Via Interactive UNIX to 
Voice: 312-850-0181     |    the Chicago Area.
WWW: http://tezcat.com/ | Mail: [email-masked]